Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.filter.thml
Class TableTag

    java.lang.Object
      org.crosswire.jsword.book.filter.thml.TableTag

All Implemented Interfaces:
  Tag

    public class TableTag

extends Object
implements Tag

THML Tag to process the table element.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: TableTag.java,v 1.4 2004/08/19 16:54:49 joe Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Constructor Summary
`TableTag()`

Method Summary
`String` | `getTagName()` What element does this class represent.
`org.jdom.Element` | `processTag(org.jdom.Element ele, Attributes attrs)` Make changes to the specified OSIS element given the attributes passed in the source document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableTag

    public TableTag()

Method Detail

### getTagName

    public String getTagName()

  Description copied from interface: `Tag`
  What element does this class represent. For example the Tag that represents the >font ...> element would return the string "font".

  Specified by:
    `getTagName` in interface `Tag`

### processTag

    public org.jdom.Element processTag(org.jdom.Element ele,
                                       Attributes attrs)

  Description copied from interface: `Tag`
  Make changes to the specified OSIS element given the attributes passed in the source document.

  Specified by:
    `processTag` in interface `Tag`
  Parameters:
    `ele` - The OSIS element to use as a parent
    `attrs` - The source document attributes.
  Returns:
    the element to which content is attached

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD